#!/bin/sh

set -eux

snpfile=$1
codebase=$2
dest=$(dirname $snpfile)

cd $dest
cut -f 2 $snpfile | uniq > chrs.txt
if [ ! -d "snp" ]; then
    mkdir snp
fi

#split file by chromosome
for i in $(cat chrs.txt); do
    awk -v chr=$i '{if ($2 == chr) print $0}' $snpfile > snp/$i-snp.txt;
done
rm chrs.txt

#index files
source "$codebase/setup"
cd snp
for i in $(/bin/ls); do
    python $codebase/analysis/annotations/dbsnp.py $i -i $i.idx;
done
